---
title: EffectTiming.iterations
slug: Web/API/EffectTiming/iterations
tags:
  - API
  - Animation
  - EffectTiming
  - Experimental
  - KeyframeEffect
  - Property
  - Reference
  - Web Animations
  - animate
  - iterations
  - waapi
  - web animations api
---
<div>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</div>

<p>The <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> dictionary {{domxref("EffectTiming")}}'s <strong><code>iterations</code></strong> property specifies the number of times the animation should repeat. The default value is 1, indicating that it should only play once, but you can set it to any floating-point value (including positive {{jsxref("Infinity")}} defaults to <code>1</code>, and can also take a value of <code>Infinity</code> to make it loop infinitely. </p>

<div class="note">
<p>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly", "KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect", "KeyframeEffect()")}} all accept an object of timing properties including <code>iterations</code>. The value of <code>iterations</code> corresponds directly to {{domxref("AnimationEffectTimingReadOnly.iterations")}} in {{domxref("AnimationEffectReadOnly.timing", "timing")}} objects returned by {{domxref("AnimationEffectReadOnly")}}, {{domxref("KeyframeEffectReadOnly")}}, and {{domxref("KeyframeEffect")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>timingProperties</em> = {
  iterations: <em>numberOfIterations</em>
};

<em>timingProperties</em>.iterations = <em>numberOfIterations</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value specifying the number of times the animation sequence will play through. Any value from 0 (don't play the animation at all) to positive {{jsxref("Infinity")}} (run the animation indefinitely) is supported. Defaults to 1, meaning the animation sequence plays through once then stops automatically.</p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>TypeError</code></dt>
 <dd>An attempt was made to set the value of this property to a negative number or {{jsxref("NaN")}}. The property's value is left unchanged.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>In the <a href="http://codepen.io/rachelnabors/pen/bEPdQr?editors=0010">Forgotten Key</a> example, Alice waves her arm up and down the entire time the page is open by passing <code>Infinity</code> as the value for her <code>iterations</code> property:</p>

<pre class="brush: js">// Get Alice's arm, and wave it up and down
document.getElementById("alice_arm").animate([
  { transform: 'rotate(10deg)' },
  { transform: 'rotate(-40deg)' }
], {
  easing: 'steps(2, end)',
  iterations: <strong>Infinity,</strong>
  direction: 'alternate',
  duration: 600
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#iteration-count', 'iterations' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EffectTiming.iterations")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly", "KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect", "KeyframeEffect()")}} all accept an object of timing properties including this one.</li>
 <li>The value of this property corresponds to the one in {{domxref("AnimationEffectTimingReadOnly")}} (which is the {{domxref("AnimationEffectReadOnly.timing", "timing")}} object for {{domxref("AnimationEffectReadOnly")}}, {{domxref("KeyframeEffectReadOnly")}}, and {{domxref("KeyframeEffect")}}).</li>
 <li>CSS's {{cssxref("animation-iteration-count")}}</li>
</ul>
